# LoginURL - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types / LoginURL

# LoginURL

(common) `data class LoginURL` (source)

### Constructors

(common)

#### <init>

`LoginURL(url: String, forwardText: String? = null, botUsername: String? = null, requestWriteAccess: Boolean? = null)`

### Properties

(common)

#### botUsername

`val botUsername: String?`

(common)

#### forwardText

`val forwardText: String?`

(common)

#### requestWriteAccess

`val requestWriteAccess: Boolean?`

(common)

#### url

`val url: String`